package com.loganmagnan.naturaldisasters.commands;

import com.loganmagnan.naturaldisasters.NaturalDisasters;
import com.loganmagnan.naturaldisasters.utils.ColorUtils;
import com.loganmagnan.naturaldisasters.utils.command.BaseCommand;
import com.loganmagnan.naturaldisasters.utils.command.Command;
import com.loganmagnan.naturaldisasters.utils.command.CommandArguments;
import org.bukkit.entity.Player;

public class ExampleCommand extends BaseCommand {

    private NaturalDisasters main = NaturalDisasters.getInstance();

    @Command(name = "example", permission = "permission.example")
    @Override
    public void executeAs(CommandArguments command) {
        Player player = command.getPlayer();

        String[] args = command.getArgs();

        if (args.length == 0) {
            player.sendMessage(ColorUtils.getMessageType("&aThis is an example command."));
        }
    }
}